Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/strato.def
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/strato.def	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/strato.def	(revision 2696)
@@ -0,0 +1,84 @@
+#include strato.spc
+#include strato.eqn
+
+{#LANGUAGE Fortran77
+#INTEGRATOR rodas3
+#DRIVER general}
+
+#LOOKATALL
+
+#MONITOR O;
+
+#INITVALUES
+
+CFACTOR =   8.12E+16 ;
+
+O       =    8.158574E-09 ;  
+O1D     =    2.773328E-15 ;  
+O3      =    6.560000E-06 ;  
+NO      =    1.074516E-08 ;  
+NO2     =    2.758840E-09 ;
+NO3     =    5.667175E-14 ;  
+N2O5    =    6.905712E-12 ;  
+HNO3    =    3.486344E-10 ;  
+HNO4    =    3.827485E-12 ;  
+H2O     =    6.100000E-06 ;
+H       =    4.190815E-14 ;  
+OH      =    2.041165E-10 ;  
+HO2     =    1.439703E-10 ;  
+H2O2    =    7.227409E-11 ;  
+H2      =    3.700000E-07 ;
+CH4     =    4.900000E-07 ;  
+CH3     =    3.984427E-17 ;  
+CH3O    =    2.496504E-15 ;  
+CH3O2   =    5.130799E-12 ;  
+CH3OOH  =    4.587317E-12 ;
+HCO     =    3.010774E-19 ;  
+CH2O    =    9.913988E-11 ;  
+CO      =    2.000000E-08 ;  
+Cl      =    8.756027E-12 ;  
+Cl2     =    8.665679E-14 ;
+ClO     =    1.011874E-09 ;  
+ClOO    =    2.659306E-15 ;  
+OClO    =    7.193558E-14 ;  
+Cl2O2   =    7.103997E-14 ;  
+HCl     =    2.157657E-09 ;
+HOCl    =    2.196369E-10 ;  
+ClONO2  =    2.166934E-11 ;  
+Br      =    4.025093E-12 ;  
+BrCl    =    5.843046E-14 ;  
+BrO     =    1.132088E-11 ;
+HBr     =    4.349534E-13 ; 
+HOBr    =    5.066596E-12 ;  
+BrONO2  =    9.405408E-14 ;
+O2      =    0.209;
+N2      =    0.781;
+
+#INLINE F77_INIT
+        TSTART = 12.D0*3600.D0
+        TEND = TSTART + 24.D0*3600.D0 * 3
+        DT = 3600.D0
+        TEMP = 241.42
+#ENDINLINE
+
+#INLINE F90_INIT
+        TSTART = 12.D0*3600.D0
+        TEND = TSTART + 24.D0*3600.D0 * 3
+        DT = 3600.D0
+        TEMP = 241.42
+#ENDINLINE
+
+#INLINE MATLAB_INIT
+   global TSTART TEND DT TEMP
+   TSTART = 12.0*3600.0;
+   TEND = TSTART + 24.0*3600.0 * 3;
+   DT = 3600.0;
+   TEMP = 241.42;
+#ENDINLINE
+
+#INLINE C_INIT
+   TSTART = 12.0*3600.0;
+   TEND = TSTART + 24.0*3600.0 * 3;
+   DT = 3600.0;
+   TEMP = 241.42;
+#ENDINLINE
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/strato.eqn
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/strato.eqn	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/strato.eqn	(revision 2696)
@@ -0,0 +1,115 @@
+#EQUATIONS
+
+{ REGION A. STRATOSPHERIC REACTION LIST}
+
+{ 1.} O + O2 = O3 :                       8.018216E-17 ;
+{ 2.} O + O3 = 2O2 :                      1.575705E-15 ;
+{ 3.} O1D + N2 = O + N2 :                 2.838868E-11 ;
+{ 4.} O1D + O2 = O + O2 :                 4.276308E-11 ;
+{ 5.} O1D + O3 = 2O2 :                    1.200000E-10 ;
+{ 6.} H2O + O1D = 2OH :                   2.200000E-10 ; 
+{ 7.} H2 + O1D = OH + H :                 1.000000E-10 ;
+{ 8.} CH4 + O1D = CH2O + H2 :             7.500000E-12 ;  
+{ 9.} CH4 + O1D = CH3 + OH :              1.425000E-10 ; 
+{10.} H + O2 = HO2 :                      6.353884E-15 ;
+{11.} H + O3 = OH + O2 :                  1.998353E-11 ;
+{12.} H2 + OH = H2O + H :                 1.388923E-15 ;
+{13.} OH + O3 = HO2 + O2 :                3.259930E-14 ;
+{14.} OH + O = O2 + H :                   3.616461E-11 ;
+{15.} OH + OH = H2O + O :                 1.554272E-12 ;
+{16.} HO2 + O = OH + O2 :                 6.868940E-11 ;
+{17.} HO2 + O3 = OH + 2O2 :               1.386665E-15 ;
+{18.} H + HO2 = 2OH :                     7.000000E-11 ;
+{19.} HO2 + OH = H2O + O2 :               1.351923E-10 ;
+{20.} HO2 + HO2 = H2O2 + O2 :             2.769464E-12 ;
+{21.} HO2 + HO2 + H2O = H2O2 + O2 + H2O : 3.515415E-29 ;
+{22.} H2O2 + OH = H2O + HO2 :             1.494801E-12 ;
+{23.} NO + O3 = NO2 + O2 :                6.062488E-15 ;
+{24.} NO + HO2 = NO2 + OH :               1.042107E-11 ;
+{25.} NO2 + O = NO + O2 :                 1.068500E-11 ;
+{26.} NO2 + O3 = NO3 + O2 :               4.699133E-18 ;
+{27.} NO2 + OH = HNO3 :                   3.724129E-13 ;
+{28.} NO2 + HO2 = HNO4 :                  2.690292E-14 ;
+{29.} NO3 + O = O2 + NO2 :                1.000000E-11 ;
+{30.} NO3 + NO = 2NO2 :                   3.033154E-11 ;
+{31.} NO3 + NO2 = N2O5 :                  2.325973E-13 ;
+{32.} N2O5 = NO2 + NO3 :                  1.405991E-06 ;
+{33.} HNO3 + OH = H2O + NO3 :             1.890063E-13 ;
+{34.} HNO4 + OH = H2O + NO2 + O2 :        6.273406E-12 ;
+{35.} HNO4 = HO2 + NO2 :                  3.163299E-07 ;
+{36.} N2O5 = 2HNO3 :                      0.000000E+00 ;
+{37.} Cl + O2 = ClOO :                    3.032678E-16 ;
+{38.} Cl + O3 = ClO + O2 :                9.878682E-12 ;
+{39.} Cl + H2 = HCl + H :                 2.696898E-15 ;
+{40.} Cl + HO2 = HCl + O2 :               3.639785E-11 ;
+{41.} Cl + HO2 = OH + ClO :               6.357771E-12 ;
+{42.} Cl + H2O2 = HCl + HO2 :             1.899010E-13 ;
+{43.} ClO + O = Cl + O2 :                 4.009038E-11 ;
+{44.} ClO + OH = HO2 + Cl :               1.808230E-11 ;
+{45.} ClO + OH = HCl + O2 :               0.000000E+00 ;        
+{46.} ClO + HO2 = O2 + HOCl :             8.718280E-12 ;
+{47.} ClO + NO = NO2 + Cl :               2.127376E-11 ;
+{48.} ClO + NO2 = ClONO2 :                2.886454E-14 ;
+{49.} ClO + ClO = Cl + OClO :             1.201307E-15 ;
+{50.} ClO + ClO = Cl + ClOO :             1.174783E-15 ;
+{51.} ClO + ClO = Cl2 + O2 :              1.379878E-15 ;
+{52.} ClO + ClO = Cl2O2 :                 3.330338E-15 ;
+{53.} ClOO = Cl + O2 :                    1.694865E+04 ;
+{54.} Cl2O2 = 2ClO :                      4.773959E-04 ;
+{55.} HCl + OH = H2O + Cl :               6.100684E-13 ;
+{56.} HOCl + OH = H2O + ClO :             3.781814E-13 ;
+{57.} ClONO2 + O = ClO + NO3 :	          1.055174E-13 ;
+{58.} ClONO2 + OH = HOCl + NO3 :          3.021112E-13 ;
+{59.} ClONO2 + Cl = Cl2 + NO3 :           1.319240E-11 ;
+{60.} ClONO2 = HOCl + HNO3 :              0.000000E+00 ;
+{61.} Br + O3 = BrO + O2 :                6.185505E-13 ;
+{62.} Br + HO2 = HBr + O2 :               1.249643E-12 ;
+{63.} Br + CH2O = HBr + HCO :             6.185505E-13 ;
+{64.} BrO + O = Br + O2  :                4.990544E-11 ;
+{65.} BrO + HO2 = HOBr + O2 :             4.918275E-11 ;
+{66.} BrO + NO = Br + NO2 :               2.583341E-11 ;
+{67.} BrO + NO2 = BrONO2 :                7.684217E-14 ;
+{68.} BrO + ClO = Br + OClO :             9.497781E-12 ;
+{69.} BrO + ClO = Br + ClOO :             7.213454E-12 ;
+{70.} BrO + ClO = BrCl + O2 :             1.172819E-12 ;
+{71.} BrO + BrO = 2Br + O2 :              2.467250E-12 ;
+{72.} HBr + OH = Br + H2O :               1.100000E-11 ;
+{73.} CO + OH = H :                       1.502401E-13 ;
+{74.} CH4 + OH = CH3 + H2O :              1.532251E-15 ;
+{75.} CH2O + OH = HCO + H2O :             1.000000E-11 ;
+{76.} CH2O + O = HCO + OH  :              4.501231E-14 ;
+{77.} Cl + CH4 = CH3 + HCl :              3.334368E-14 ;
+{78.} Cl + CH2O = HCl + HCO :             7.153519E-11 ;
+{79.} HCO + O2 = CO + HO2 :               6.250373E-12 ;
+{80.} CH3 + O2 = CH3O2 :                  5.883651E-14 ;
+{81.} CH3O + O2 = CH2O + HO2 :            9.377921E-16 ;
+{82.} CH3O2 + NO = CH3O + NO2 :           8.851990E-12 ;
+{83.} CH3O2 + HO2 = CH3OOH + O2 :         1.044377E-11 ;
+{84.} CH3OOH + OH = CH3O2 + H2O :         6.182046E-12 ;
+
+{ 1.} O2 + hv = 2O :                      2.643E-10 * SUN*SUN*SUN ;           
+{ 2.} O3 + hv = O + O2 :                  6.120E-04 * SUN ;           
+{ 3.} O3 + hv = O1D + O2 :                1.070E-03 * SUN*SUN ;         
+{ 4.} HO2 + hv = OH + O :                 1.817E-04 * SUN*SUN ;         
+{ 5.} H2O2 + hv = 2OH :                   3.537E-05 * SUN ;       
+{ 6.} NO2 + hv = NO + O :                 1.289E-02 * SUN ;       
+{ 7.} NO3 + hv = NO2 + O :                2.359E-01 * SUN ;        
+{ 8.} NO3 + hv = NO + O2 :                2.883E-02 * SUN ;        
+{ 9.} N2O5 + hv = NO2 + NO3 :             2.594E-04 * SUN*SUN ;	  
+{10.} HNO3 + hv = OH + NO2 :              5.269E-05 * SUN*SUN ;          
+{11.} HNO4 + hv = OH + NO3 :              4.557E-05 * SUN*SUN ;	        
+{12.} HNO4 + hv = HO2 + NO2 :             9.113E-05 * SUN*SUN ;        
+{13.} Cl2 + hv = 2Cl :                    3.692E-03 * SUN ;               
+{14.} OClO + hv = O + ClO :               1.243E-01 * SUN ;             
+{15.} Cl2O2 + hv = Cl + ClOO :            3.421E-03 * SUN ;          
+{16.} HOCl + hv = OH + Cl :               4.606E-04 * SUN ;             
+{17.} ClONO2 + hv = Cl + NO3 :            2.254E-04 * SUN*SUN ;	         
+{18.} ClONO2 + hv = Cl + NO2 + O :        2.505E-05 * SUN*SUN ;    
+{19.} BrCl + hv = Br + Cl :               1.867E-02 * SUN ;             
+{20.} BrO + hv = Br + O :                 5.950E-02 * SUN ;              
+{21.} HOBr + hv = Br + OH :               1.284E-03 * SUN ;             
+{22.} BrONO2 + hv = Br + NO3 :            2.074E-03 * SUN ;	         
+{23.} CH2O + hv = HCO + H :               7.553E-05 * SUN ;            
+{24.} CH2O + hv = CO + H2 :               8.303E-05 * SUN ;            
+{25.} CH3OOH + hv = CH3O + OH :           2.285E-05 * SUN ;        
+
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/strato.spc
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/strato.spc	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/strato.spc	(revision 2696)
@@ -0,0 +1,46 @@
+#include atoms
+
+#DEFVAR  
+    O           = O ;           {oxygen atomic ground state (3P)}
+    O1D         = O ;           {oxygen atomic first singlet state}
+    O3		= 3O ;          {ozone}  
+    NO		= N + O ;       {nitric oxide}  
+    NO2		= N + 2O ;      {nitrogen dioxide} 
+    NO3		= N + 3O ;      {nitrogen trioxide} 
+    N2O5	= 2N + 5O ;     {dinitrogen pentoxide}           
+    HNO3	= H + N + 3O ;  { nitric acid }
+    HNO4	= H + N + 4O ;  {HO2NO2 pernitric acid}
+    H           = H ;           {hydrogen atomic ground state (2S)}
+    OH		= O + H ;       {hydroxyl radical}  
+    HO2		= H + 2O ;      {perhydroxyl radical}                     
+    H2O2	= 2H + 2O ;     {hydrogen peroxide} 
+    CH3         = C + 3H ;      {methyl radical}
+    CH3O        = C + 3H + O ;  {methoxy radical}
+    CH3O2       = C + 3H + 2O ; {methylperoxy radical}
+    CH3OOH      = C + 4H + 2O ; {CH4O2      methylperoxy alcohol}
+    HCO         = H + C + O ;   {CHO  formyl radical}
+    CH2O        = C + 2H + O ;  {formalydehyde}
+    Cl          = Cl ;          {chlorine atomic ground state (2P3/2)}
+    Cl2         = 2Cl ;         {molecular chlorine}
+    ClO         = Cl + O ;      {chlorine monoxide radical}
+    ClOO        = Cl + 2O ;     {asymmetrical chlorine dioxide radical}
+    OClO        = Cl + 2O ;     {symmetrical chlorine dioxide}
+    Cl2O2       = 2Cl + 2O ;    {chlorine monoxide dimer}
+    HCl         = H + Cl ;      {hydrogen chloride}
+    HOCl        = H + O + Cl ;  {hydrochlorous acid}
+    ClONO2      = Cl + 3O + N ; {ClNO3, chlorine nitrate}
+    Br          = Br ;          {bromine atomic ground state (2P3/2)}
+    BrCl        = Br + Cl ;     {bromine chloride}
+    BrO         = Br + O ;      {bromine monoxide radical}
+    HBr         = H + Br ;      {hydrogen bromide}
+    HOBr        = H + O + Br ;  {hydrobromous acid}
+    BrONO2      = Br + N + 3O ; {BrNO3, bromine nitrate}
+
+
+#DEFFIX
+    H2O		= H + 2O ;      {water}
+    H2		= 2H ;          {molecular hydrogen}
+    O2          = 2O ;          {molecular oxygen}              
+    N2          = 2N ;          {molecular nitrogen}              
+    CH4		= C + 4H ;      {methane} 
+    CO		= C + O ;       {carbon monoxide}   
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/test_pentane.def
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/test_pentane.def	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/test_pentane.def	(revision 2696)
@@ -0,0 +1,62 @@
+#INCLUDE test_pentane.spc
+#INCLUDE test_pentane.eqn
+
+{#LANGUAGE Fortran90
+#INTEGRATOR ros3
+#DRIVER general}
+
+#LOOKATALL
+
+#MONITOR GO3; GC05000; GD02000; GD03000
+
+#INITVALUES
+  ALL_SPEC = 0.0;
+  GO3   = 100.0;
+  GNO   = 0.05;
+  GNO2  = 0.05;
+  GH2O  = 500.0;
+  GCO   = 100.0;
+  GNO3  = 0.1;
+  GSO2  = 5.0;
+  GCH4  = 1700;
+  GH2O2 = 2.0;
+  GHNO4 = 1E-8;
+  GO2   = 2.E+8;
+  GCO2  = 5.E+7;
+  GH2   = 500;  
+  GC05000 = 35;  
+
+#INLINE F77_INIT
+	TSTART = 12.*3600.
+	TEND = TSTART + 24.*3600. * 5
+	DT = 3600.
+        TEMP = 288.15
+#ENDINLINE
+
+#INLINE F90_INIT
+        TSTART = 0.0D0
+        TEND = TSTART + 2*24*3600.0D0 ! 2160.0D0*60.0D0
+        DT = 3600.D0
+        TEMP = 300.0D0
+#ENDINLINE
+{	TSTART = 12.*3600.
+	TEND = TSTART + 24.*3600. * 1
+	DT = 3600.
+        TEMP = 288.15}
+{        SUNRISE = 5.0
+        SUNSET  = 7.0}
+
+#INLINE MATLAB_INIT
+   global TSTART TEND DT TEMP
+   TSTART = 12.*3600.0;
+   TEND = TSTART + 24.0*3600.0 * 5;
+   DT = 3600.0;
+   TEMP = 288.15;
+#ENDINLINE
+
+#INLINE C_INIT
+   TSTART = 12.*3600.0;
+   TEND = TSTART + 24.0*3600.0 * 5;
+   DT = 3600.0;
+   TEMP = 288.15;
+#ENDINLINE
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/tropo.def
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/tropo.def	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/tropo.def	(revision 2696)
@@ -0,0 +1,57 @@
+#include tropo.spc
+#include tropo.eqn
+
+{#LANGUAGE Fortran77
+#INTEGRATOR rodas3
+#DRIVER general}
+
+#LOOKATALL
+
+#MONITOR O3;
+
+#INITVALUES
+  ALL_SPEC = 1.0E-8;
+  O3   = 100.0;
+  NO   = 0.05;
+  NO2  = 0.05;
+  H2O  = 500.0;
+  CO   = 100.0;
+  NO3  = 0.1;
+  SO2  = 5.0;
+  SO4  = 1.0;
+  CH4  = 1700;
+  H2O2 = 2.0;
+  HNO4 = 1E-8;
+  O2   = 2.E+8;
+  CO2  = 5.E+7;
+  H2   = 500;  
+
+
+#INLINE F77_INIT
+	TSTART = 12.D0*3600.D0
+	TEND = TSTART + 24.D0*3600.D0 * 5
+	DT = 3600.D0
+        TEMP = 288.15
+#ENDINLINE
+
+#INLINE F90_INIT
+	TSTART = 12.D0*3600.D0
+	TEND = TSTART + 24.D0*3600.D0 * 5
+	DT = 3600.D0
+        TEMP = 288.15
+#ENDINLINE
+
+#INLINE MATLAB_INIT
+   global TSTART TEND DT TEMP
+   TSTART = 12.D0*3600.0;
+   TEND = TSTART + 24.0*3600.0 * 5;
+   DT = 3600.0;
+   TEMP = 288.15;
+#ENDINLINE
+
+#INLINE C_INIT
+   TSTART = 12.D0*3600.0;
+   TEND = TSTART + 24.0*3600.0 * 5;
+   DT = 3600.0;
+   TEMP = 288.15;
+#ENDINLINE
Index: palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/tropo.eqn
===================================================================
--- palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/tropo.eqn	(revision 2696)
+++ palm/trunk/UTIL/chemistry/gasphase_preproc/kpp/models/tropo.eqn	(revision 2696)
@@ -0,0 +1,230 @@
+#EQUATIONS
+                
+{----NEXT KR APPROXIMATED BY ADRIAN---}
+{1} NO2 + hv = NO + O3 :                              1.765E-2*SUN ;
+{2} NO + O3 = NO2 + O2 :                              ARR2(2.2E-12,-1430.0) ;
+{3} NO2 + O3 = NO3 + O2 :                             ARR2(1.2E-13,-2450.0) ;
+{4} NO + NO3 = 2NO2 :                                 ARR2(1.7E-11,150.0) ;
+{----NEXT KR CORRECTED FROM LILING'S STEM----}
+{5} NO2 + NO3 = N2O5 :                                1.45E-12 ;
+{----NEXT KR CORRECTED FROM LILING'S STEM----}
+{6} N2O5 = NO2 + NO3 :                                5.00E-6 ;
+{7} NO2 + NO3 = NO + NO2 + O2 :                       ARR2(2.5E-14,-1230.0) ;
+{8} NO3 + hv = 0.15NO + 0.85NO2 + 0.85O3 + O2 :       3.29*RCONST(1) ;
+{9} NO3 + HO2 = HNO3 + O2 :                           2.50E-12 ;
+{---- NEXT KR APPROXIMATED BY ADRIAN ----}
+{10} O3 + hv = 2OH :                                  1.5796E-7*SUN ;
+{----NEXT KR CORRECTED FROM LILING'S STEM----}
+{11} NO + OH = HONO :                                 7.218E-12 ;
+{12} HONO + hv = NO + OH :                            0.205*RCONST(1) ;
+{----NEXT KR CORRECTED FROM LILING'S STEM----}
+{13} NO2 + OH = HNO3 :                                1.2794E-11 ;
+{---- NEXT KR APPROXIMATED BY ADRIAN ----}
+{14} HNO3 + hv = NO2 + OH :                           7.8E-7*SUN ;
+{15} HNO3 + OH = NO3 + H2O :                          ARR2(9.4E-15,778.0) ;
+{16} N2O5 + H2O = 2HNO3 :                             1.30E-21 ;
+{----NEXT KR CORRECTED FROM LILING'S STEM----}
+{17} CO + OH = HO2 + CO2 :                            1.7823E-13 ;
+{18} O3 + OH = HO2 + O2 :                             ARR2(1.6E-12,-1000.0) ;
+{19} NO + HO2 = NO2 + OH :                            ARR2(3.7E-12,240.0) ;
+{----NEXT KR CORRECTED FROM LILING'S STEM----}
+{20} NO2 + HO2 = HNO4 :                               1.7851E-12 ;
+{----NEXT KR CORRECTED FROM LILING'S STEM----}
+{21} HNO4 = NO2 + HO2 :                               6.8868E-6 ;
+{22} O3 + HO2 = OH + 2O2 :                            ARR2(1.4E-14,-600.0) ;
+{----NEXT KR CORRECTED FROM LILING'S STEM----}
+{23} HO2 + HO2 = H2O2 + O2 :                          4.7165E-12 ;
+{---- NEXT KR APPROXIMATED BY ADRIAN---- }
+{24} H2O2 + hv = 2OH :                                1.366E-5*SUN ;
+{25} H2O2 + OH = HO2 + H2O :                          ARR2(3.3E-12,-200.0) ;
+{26} NO2 + H2O = HONO + HNO3 - NO2 :                  4.00E-24 ;
+{27} HNO4 + hv = NO2 + HO2 :                          1E-4*RCONST(1) ;
+{28} HNO4 + OH = NO2 + H2O + O2 :                     ARR2(1.3E-12,380.0) ;
+{----NEXT KR CORRECTED FROM LILING'S STEM----}
+{29} SO2 + OH = SO4 + HO2 :                           1.E-20 ;
+{ NEXT KR APPROXIMATED BY ADRIAN }
+{30} HCHO + hv = 2HO2 + CO :                          2.7E-5*SUN ;
+{---- NEXT KR APPROXIMATED BY ADRIAN ----}
+{31} HCHO + hv = CO + H2 :                            1.1182E-4*SUN ;
+{32} HCHO + OH = HO2 + CO + H2O :                     1.00E-11 ;
+{33} HCHO + HO2 = AHO2 :                              1.00E-14 ;
+{34} AHO2 + NO = ACO2 + HO2 + NO2 :                   ARR2(4.2E-12,180.0) ;
+{35} AHO2 + HO2 = ACO2 + H2O + O2 :                   2.00E-12 ;
+{36} 2AHO2 = ACO2 + 2HO2 + 2O2 :                      1.00E-13 ;
+{37} ACO2 + OH = HO2 + H2O + CO2 :                    3.20E-13 ;
+{38} NO3 + HCHO = HNO3 + HO2 +CO :                    6.00E-16 ;
+{39} ALD2 + OH = MCO3 + H2O :                         ARR2(6.9E-12,250.0) ;
+{40} ALD2 + NO3 = HNO3 + MCO3 :                       2.70E-15 ;
+{---- NEXT KR APPROXIMATED BY ADRIAN ----}
+{41} ALD2 + hv = MO2 + HO2 + CO :                     4.556E-6*SUN ;
+{---- NEXT KR APPROXIMATED BY ADRIAN ----}
+{42} ALD2 + hv = CH4 + CO :                           1.118E-4*SUN ;
+{43} MCO3 + NO2 = PAN :                               4.70E-12 ;
+{44} PAN = MCO3 + NO2 :                               ARR2(2.2E16,-13435.0) ;
+{45} MCO3 + NO = MO2 + NO2 + CO2 :                    ARR2(4.2E-12,180.0) ;
+{46} MO2 + NO = HCHO + NO2 + HO2 :                    ARR2(4.2E-12,180.0);
+{47} CH4 + OH = MO2 + H2O :                           ARR2(2.4E-12,1710.0) ;
+{48} C2H6 + OH = ETO2 + H2O :                         ARR2(1.7E-11,-1232.0) ;
+{49} ETO2 + NO = ALD2 + HO2 + NO2 :                   ARR2(4.2E-12,180.0) ;
+{50} C3H8 + OH = R3O2 :                               ARR2(1.18E-11,-679.0) ;
+{51} R3O2 + NO = 0.03R3N2 + 0.46ALD2 + 0.97NO2 +
+            0.97HO2 + 0.49KET :                       ARR2(4.2E-12,180.0) ;
+{52} ALKA + OH = RAO2 :                                    ARR2(2E-11,-500.0) ;
+{---- IN THE NEXT REACTION
+  BETA 1...9 WHERE REPLACED BY NUMBERS,
+  AS READ FROM LILING STEM CODE ----}
+{53} RAO2 + NO = 0.9261NO2 - 0.1892NO + 0.263RAN2 +
+            1.0482ALD2 + 0.3KET +
+            0.1879ETO2 + 0.1116MO2 + 
+            0.28HO2 + 0.1057R3O2 + 0.06RAO2 :         ARR2(4.2E-12,180.0) ;
+{54} ALKA + NO3 = HNO3 + RAO2 :                       4.00E-17 ;
+{55} RAN2 + OH = RAN1 + H2O :                         2.00E-12 ;
+{56} RAN1 + NO = 2.5NO2  - 0.5NO + 0.8HCHO + 2.1ALD2 :ARR2(4.2E-12,180.0) ;
+{57} MO2 + MO2 = 1.4HCHO + 0.8HO2 + O2 :              ARR2(1.5E-13,220.0) ;
+{58} 2ETO2 = 1.6ALD2 + 1.2HO2 :                       5.00E-14 ;
+{59} R3O2 + R3O2 = 1.9ALD2 + 0.28KET + 0.37HO2 :      5.00E-14 ;
+{60} HO2 + MO2 = ROOH + O2 :                          3.00E-12 ;
+{61} HO2 + ETO2 = ROOH + O2 :                         3.00E-12 ;
+{62} HO2 + R3O2 = ROOH + O2 :                         3.00E-12 ;
+{63} HO2 + RAO2 = ROOH + O2 :                         3.00E-12 ;
+{64} HO2 + MCO3 = ROOH + O2 :                         3.00E-12 ;
+{65} KET + OH = KO2 :                                 ARR2(1.2E-11,-890.0) ;
+{66} KO2 + NO = 0.05RAN2 + 0.95NO2 + 0.94ALD2 +
+           0.94MCO3 :                                 ARR2(4.2E-12,180.0) ;
+{67} KET + hv = MCO3 + ETO2 + H2O :                   2.6E-4*RCONST(1) ;
+{68} KET + NO3 = HNO3 + KO2 :                         7.00E-16 ;
+{69} KO2 + HO2 = MGLY + MO2 + H2O :                   3.00E-12 ;
+{70} ETHE + OH = EO2 :                                ARR2(1.66E-12,474.0) ;
+{71} EO2 + NO = NO2 + 2.0HCHO + HO2 :                 ARR2(4.2E-12,180.0) ;
+{72} ALKE + OH = PO2 :                                ARR2(4.1E-12,537.0) ;
+{73} PO2 + NO = NO2 + ALD2 + HCHO + HO2 :             ARR2(4.2E-12,180.0) ;
+{74} ETHE + O3 = HCHO + 0.4CHO2 + 0.12HO2 + 0.42CO +
+            0.06CH4 :                                 ARR2(1.2E-14,-2633.0) ;
+{75} ALKE + O3 = 0.525HCHO + 0.5ALD2 + 0.2CHO2 +
+            0.2CRO2 + 0.23HO2 + 0.215MO2 :            ARR2(7.8E-14,-2105.0) ;
+{76} CHO2 + NO = HCHO + NO2 :                         7.00E-12 ;
+{77} CHO2 + NO2 = HCHO+ NO3 :                         7.00E-13 ;
+{78} CHO2 + H2O = ACO2 :                              4.00E-18 ;
+{79} CRO2 + NO = ALD2 + NO2 :                         7.00E-12 ;
+{80} CRO2 + NO2 = ALD2 + NO3 :                        7.00E-13 ;
+{81} CRO2 + H2O = ACTA :                              4.00E-18 ;
+{82} EO2 + EO2 = 2.4HCHO + 1.2HO2 + 0.4ALD2 :         5.00E-14 ;
+{83} PO2 + PO2 = 2.2ALD2 + 1.2HO2 :                   5.00E-14 ;
+{84} HO2 + EO2 = ROOH + O2 :                          3.00E-12 ;
+{85} HO2 + PO2 = ROOH + O2 :                          3.00E-12 ;
+{86} SO2 + CHO2 = SO4 + HCHO :                        7.00E-14 ;
+{87} SO2 + CRO2 = SO4 + ALD2 :                        7.00E-14 ;
+{88} ALKE + NO3 = PRN1 :                              1.26E-13 ;
+{89} PRN1 + NO2 = PRN2 :                              6.80E-12 ;
+{90} PRN1 + HO2 = PRPN + O2 :                         3.00E-12 ;
+{91} PRN1 + NO = 2NO2 + HCHO + ALD2 :                 ARR2(4.2E-12,180.0) ;
+{92} CHO2 + HCHO = OZID :                             1.36E-14 ;
+{93} CHO2 + ALD2 = OZID :                             1.36E-14 ;
+{94} CRO2 + HCHO = OZID :                             1.36E-14 ;
+{95} CRO2 + ALD2 = OZID :                             1.36E-14 ;
+{96} AROM + OH = 0.84TO2 + 0.16CRES + 0.16HO2 :       1.52E-11 ;
+{97} TO2 + NO = NO2 + HO2 + 0.72MGLY + 0.18GLYX + DIAL : ARR2(4.2E-12,180.0) ;
+{98} GLYX + hv = PROD :                               8.0E-3*RCONST(1) ;
+{99} GLYX + OH = HO2 + 2CO + H2O :                    1.15E-11 ;
+{100} MGLY + hv = MCO3 + HO2 + CO :                   1.9E-2*RCONST(1) ;
+{101} MGLY + OH = MCO3 + CO + H2O :                   1.73E-11 ;
+{---- IN THE NEXT REACTION
+  BETA 12, 13 WHERE REPLACED BY NUMBERS
+  AS GIVEN IN LILING'S STEM CODE ----}
+{102} CRES + OH = 0.83HO2 + 0.9ZO2 + 0.9TCO3 
+            -0.9OH - 0.0315NO2 :                      4.25E-11 ;
+{103} NO3 + CRES = HNO3 :                             1.00E-11 ;
+{104} OH + DIAL = TCO3 :                              2.80E-11 ;
+{105} TCO3 + NO2 = TPAN :                             4.70E-12 ;
+{106} TPAN = TCO3 + NO2:                              ARR2(2.2E16,-13435.0) ;
+{107} TCO3 + NO = NO2 + 0.92HO2 + 0.89GLYX + 0.11MGLY +
+            0.05MCO3 :                                ARR2(4.2E-12,180.0) ;
+{108} ZO2 + NO = NO2 :                                ARR2(4.2E-12,180.0) ;
+{109} DIAL + hv = 0.98HO2 + 0.02MCO3 + TCO3 :         1E-2*RCONST(1) ;
+{110} HO2 + TO2 = ROOH + O2 :                         4.00E-12 ;
+{111} HO2 + TCO3 = ROOH + O2 :                        4.00E-12 ;
+{112} HO2 + ZO2 = ROOH + O2 :                         1.00E-12 ;
+{---- HERE COMES AEROSOL PART ----}
+{113} AHO2 = HCHO + HO2 :                             1.5*1. ;
+{114} ISOP + OH = RIO2 :                              ARR2(2.5E-11,409.0) ;
+{115} RIO2 + NO = 0.9NO2 + 0.45MVK + 0.45MACR + 
+            0.9HO2 + 0.9HCHO :                        ARR2(4.2E-12,180.0) ;
+{116} RIO2 + HO2 = ROOH :                             3.00E-12 ;
+{117} MVK + OH = VRO2 :                               ARR2(3.0E-12,500.0) ;
+{118} VRO2 + NO = 0.9NO2 + 0.6MCO3 + 0.6HAC +
+            0.3HO2 + 0.3HCHO + 0.3MGGY :              ARR2(4.2E-12,180.0) ;
+{119} VRO2 + HO2 = ROOH :                             3.0E-12 ;
+{120} OH + MACR = MAO3 :                              1.02E-11 ;
+{121} MAO3 + NO2 = MPAN :                             4.7E-12 ;
+{122} MPAN = MAO3 + NO2 :                             ARR2(2.2E+16,-13435.0) ;
+{123} MAO3 + NO = 3NO3 - 2NO + HO2 + MGGY :           ARR2(4.2E-12,180.0) ;
+{124} MAO3 + HO2 = ROOH :                             3.00E-12 ;
+{125} MACR + OH = MRO2 :                              ARR2(3.86E-12,500.0) ;
+{126} MRO2 + NO = 0.9NO2 + 0.9HO2 +
+            0.9HCHO + 0.9MGGY :                       ARR2(4.2E-12,180.0) ;
+{127} MRO2 + HO2 = ROOH :                             3.00E-12 ;
+{128} HAC + OH = HACO :                               1.5E-11 ;
+{129} HACO + NO2 = IPAN :                             4.7E-12 ;
+{130} IPAN = HACO + NO2 :                             ARR2(2.2E+16,-13435.0) ;
+{131} HACO + NO = NO2 + HO2 + HCHO :                  ARR2(4.2E-12,180.0) ;
+{132} HACO + HO2 = ROOH :                             3.00E-12 ;
+{133} ISOP + O3 = 0.5HCHO + 0.2MVK + 0.3MACR + 0.2CHO2 +
+            0.06HO2 + 0.2MVKO + 0.3MAOO :             ARR2(7.0E-15,-1900.0) ;
+{134} MVK + O3  = 0.5HCHO + 0.2CHO2 + 0.21HO2 + 0.2MCRG +
+            0.15ALD2 + 0.5MGGY + 0.15MCO3 :           ARR2(4.0E-15,-2000.0) ;
+{135} MACR + O3 = 0.65HCHO + 0.2CHO2 + 0.36HO2 +
+            0.15NO2 - 0.15NO + 0.5MGGY + 0.2MCRG :    ARR2(4.4E-15,-2500.0) ;
+{136} MVKO + NO = MVK + NO2 :                         ARR2(4.2E-12,180.0) ;
+{137} MVKO + NO2 = MVK + NO3 :                        ARR2(4.2E-13,180.0) ;
+{138} MVKO + H2O = PROD :                             3.4E-18 ;
+{139} MAOO + NO = MACR + NO2 :                        ARR2(4.2E-12,180.0) ;
+{140} MAOO + NO2 = MACR + NO3 :                       ARR2(4.2E-13,180.0) ;
+{141} MAOO + H2O = MACA :                             3.4E-18 ;
+{142} MCRG + NO = MGGY + NO2 :                        ARR2(4.2E-12,180.0) ;
+{143} MCRG + NO2 = MGGY + NO3 :                       ARR2(4.2E-13,180.0) ;
+{144} MCRG + H2O = PYVA :                             3.4E-18 ;
+{145} HAC + hv = HCHO + 2HO2 :                        5E-4*RCONST(1) ;
+{146} MGGY + hv = MCO3 + HO2 :                        0.15*RCONST(1) ;
+{147} MGGY + OH = MCO3 :                              1.7E-11 ;
+{148} ISOP + NO3 = INO2 :                             ARR2(3.00E-12,-450.0) ;
+{149} INO2 + NO = 2NO2 + HCHO + 0.5MVK + 0.5MACR :    ARR2(4.2E-12,180.0) ;
+{150} INO2 + NO2 = PROD :                             ARR2(4.2E-13,180.0) ;
+{151} INO2 + HO2 = PROD :                             3.00E-12 ;
+{152} MVK + NO3 = MVN2 :                              6.00E-14 ;
+{153} MVN2 + NO = 2NO2 + HCHO + 0.5MCO3 +
+            0.5MGGY + 0.5HO2 :                        ARR2(4.2E-12,180.0) ;
+{154} MVN2 + HO2 = PROD :                             3.0E-12 ;
+{155} MACR + NO3 = MAO3 + HNO3 :                      3.3E-15 ;
+{156} MACR + NO3 = MAN2 :                             6.7E-15 ;
+{157} MAN2 + NO = 2NO2 + HCHO + MGGY :                ARR2(4.2E-12,180.0) ;
+{157} MAN2 + HO2 = PROD :                             3.00E-12 ;
+{159} HAC + NO3 = HNO3 + HACO :                       5.2E-16 ;
+{160} MAOO + HO2 = ROOH :                             3.00E-12 ;
+{161} MVKO + HO2 = ROOH :                             3.00E-12 ;
+{162} MVKO + SO2 = SO4 + MVK :                        7.00E-14 ;
+{163} MAOO + SO2 = SO4 + MACR :                       7.00E-14 ;
+{164} MCRG + SO2 = SO4 + MVK :                        7.00E-14 ;
+{165} MACA + OH = PROD :                              ARR2(1.2E-11,500.0) ;
+{166} PYVA + OH = PROD :                              5.00E-14 ;
+{167} DOL6 + O3 = 0.11SUCA :                          5.44E-17 ;
+{168} DOL7 + O3 = 0.19GLUA :                          3.46E-17 ;
+{169} DOL8 + O3 = 0.15ADIA :                          2.21E-17 ;
+{170} CPET + O3 = 0.39GLUA :                          1.03E-15 ;
+{171} CHEX + O3 = 0.15ADIA :                          2.16E-16 ;
+{172} OH + HO2 = H2O + O2 :                           ARR2(4.6E-11,230.0) ;
+{173} ROOH + hv = HCHO + OH + HO2 :                   5.00E-4*RCONST(1) ;
+{174} ROOH + OH = 0.5MO2 + 0.5OH + 0.5HCHO :          1.00E-11;
+{175} DMS + OH = SO2 + MSA :                          8.3E-12 ;
+{176} NO3 + NO3 = 2NO2 + O2 :                         ARR2(8.5E-13,-2450.0) ;
+{177} OH + PAN = PROD :                               ARR2(1.23E-12,-651.0) ;
+{178} NO3 + HO2 = 0.6OH + 0.6NO2 + 0.4HNO3 :          ARR2(2.3E-12,170.0) ;  
+ 
+ 
+    
+                                                  
+
+
+                       
+
+
+
